package cn.com.ctop.alarm.modules.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 预警操作记录表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-08-10
 */
@Data
@TableName("ctop_alarm_rule_operation_record")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_alarm_rule_operation_record对象", description = "预警操作记录表")
public class AlarmRuleOperationRecord {

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 计划ID
     */
    @Excel(name = "计划ID", width = 15)
    @ApiModelProperty(value = "计划ID")
    private Long planId;
    /**
     * 组ID
     */
    @Excel(name = "组ID", width = 15)
    @ApiModelProperty(value = "组ID")
    private Long unitId;
    /**
     * 规则组id
     */
    @Excel(name = "规则组id", width = 15)
    @ApiModelProperty(value = "规则组id")
    private Long groupId;
    /**
     * 指标code
     */
    @Excel(name = "指标code", width = 15)
    @ApiModelProperty(value = "指标code")
    private String indicatorCode;
    /**
     * 操作记录
     */
    private String message;
    /**
     * 修改前的值
     */
    @Excel(name = "修改前的值", width = 15)
    @ApiModelProperty(value = "修改前的值")
    private String beforeValue;
    /**
     * 操作类型：up-提高,down-降低,to-调整至
     */
    @Excel(name = "操作类型：up-提高,down-降低,to-调整至", width = 15)
    @ApiModelProperty(value = "操作类型：up-提高,down-降低,to-调整至")
    private String operationType;
    /**
     * 操作内容：price-金额，percent-百分数
     */
    @Excel(name = "操作内容：price-金额，percent-百分数", width = 15)
    @ApiModelProperty(value = "操作内容：price-金额，percent-百分数")
    private String operationValue;
    /**
     * 修改后的值
     */
    @Excel(name = "修改后的值", width = 15)
    @ApiModelProperty(value = "修改后的值")
    private String afterValue;
    /**
     * 操作阈值
     */
    @Excel(name = "操作阈值", width = 15)
    @ApiModelProperty(value = "操作阈值")
    private String operationThreshold;
    /**
     * 峰值
     */
    @Excel(name = "峰值", width = 15)
    @ApiModelProperty(value = "峰值")
    private String MaxValue;
    /**
     * 峰值
     */
    @Excel(name = "最小值", width = 15)
    @ApiModelProperty(value = "最小值")
    private String minValue;
    /**
     * 操作时间
     */
    @Excel(name = "操作时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "操作时间")
    private String valueTime;
    /**
     * 媒体类型
     */
    @Excel(name = "媒体类型", width = 15)
    @ApiModelProperty(value = "媒体类型")
    private String mediaType;
    /**
     * createTime
     */
    @Excel(name = "createTime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @Excel(name = "updateTime", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
