package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 代理商token
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-08-18
 */
@Data
public class BytedanceAgentToken {

    /**
     * 主键ID
     */
    @TableId(type = IdType.UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;

    private String agentId;
    private String agentName;
    /**
     * 访问令牌
     */
    private String accessToken;
    /**
     * 访问令牌有效期
     */
    private Date accessTokenExpiresIn;
    /**
     * 刷新令牌
     */
    private String refreshToken;
    /**
     * 刷新令牌有效期
     */
    private Date refreshTokenExpiresIn;
    /**
     * 代理商类型 0：三方代理商 1：本代理商
     */
    private Integer agentType;


    private Long appId;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;
}
