package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import me.chanjar.weixin.cp.api.WxCpService;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 企业微信配置信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-06-17
 */
@Data
@TableName("ctop_wexin_config")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_wexin_config对象", description = "企业微信配置信息")
public class WexinConfig {

    /**
     * id
     */
    @TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * corpId
     */
    @Excel(name = "corpId", width = 15)
    @ApiModelProperty(value = "corpId")
    private String corpId;
    /**
     * agentId
     */
    @Excel(name = "agentId", width = 15)
    @ApiModelProperty(value = "agentId")
    private Integer agentId;
    /**
     * corpSecret
     */
    @Excel(name = "corpSecret", width = 15)
    @ApiModelProperty(value = "corpSecret")
    private String corpSecret;
    /**
     * aesKey
     */
    @Excel(name = "aesKey", width = 15)
    @ApiModelProperty(value = "aesKey")
    private String aesKey;
    /**
     * token
     */
    @Excel(name = "token", width = 15)
    @ApiModelProperty(value = "token")
    private String token;
    /**
     * remarks
     */
    @Excel(name = "remarks", width = 15)
    @ApiModelProperty(value = "remarks")
    private String remarks;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;

    @TableField(exist = false)
    private WxCpService wxCpService;
}
