package cn.com.ctop.kuaishou.modules.ai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 自动投放-项目策略表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-06-24
 */
@Data
@TableName("ctop_ai_kuaishou_project_strategy")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_ai_kuaishou_project_strategy对象", description = "自动投放-项目策略表")
public class KuaishouProjectStrategy {

    /**
     * 客户策略ID
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "客户策略ID")
    private Long id;
    /**
     * 项目ID
     */
    @Excel(name = "项目ID", width = 15)
    @ApiModelProperty(value = "项目ID")
    private Long projectId;
    /**
     * userId
     */
    @Excel(name = "userId", width = 15)
    @ApiModelProperty(value = "userId")
    private String userId;
    /**
     * 策略状态 0-停用 1-使用
     */
    @Excel(name = "策略状态 0-停用 1-使用", width = 15)
    @ApiModelProperty(value = "策略状态 0-停用 1-使用")
    private Integer dataStatus;
    /**
     * 计划类型 2-提升应用安装 3-获取电商下单 4-推广品牌活动 5-收集销售线索 7-提高应用活跃
     */
    @Excel(name = "计划类型 2-提升应用安装 3-获取电商下单 4-推广品牌活动 5-收集销售线索 7-提高应用活跃", width = 15)
    @ApiModelProperty(value = "计划类型 2-提升应用安装 3-获取电商下单 4-推广品牌活动 5-收集销售线索 7-提高应用活跃")
    private Integer campaignType;
    /**
     * 计划命名规范
     */
    @Excel(name = "计划命名规范", width = 15)
    @ApiModelProperty(value = "计划命名规范")
    private String campaignName;

    private Integer campaignStatus;

    private String statDate;
    /**
     * 广告组命名规范
     */
    @Excel(name = "广告组命名规范", width = 15)
    @ApiModelProperty(value = "广告组命名规范")
    private String groupName;
    /**
     * -1：投放 2 暂停
     */
    private Integer groupStatus;
    /**
     * 是否开启素材挖掘
     */
    private Integer assetMining;
    /**
     * 计划单日预算
     */
    @Excel(name = "计划单日预算", width = 15)
    @ApiModelProperty(value = "计划单日预算")
    private Long campaignDayBudget;
    /**
     * 组单日预算
     */
    @Excel(name = "组单日预算", width = 15)
    @ApiModelProperty(value = "组单日预算")
    private Long unitDayBudget;
    /**
     * 单/多应用，1单应用，2多应用
     */
    @Excel(name = "单/多应用，1单应用，2多应用", width = 15)
    @ApiModelProperty(value = "单/多应用，1单应用，2多应用")
    private Integer singleAppid;
    /**
     * 应用ID
     */
    @Excel(name = "应用ID", width = 15)
    @ApiModelProperty(value = "应用ID")
    private Long appId;
    /**
     * 应用ID列表
     */
    @Excel(name = "应用ID列表", width = 15)
    @ApiModelProperty(value = "应用ID列表")
    private String appIdArray;
    /**
     * 定向模板id列表
     */
    @Excel(name = "定向模板id列表", width = 15)
    @ApiModelProperty(value = "定向模板id列表")
    private String templateIdArray;
    /**
     * 组-优先从系统应用商店下载
     */
    @Excel(name = "组-优先从系统应用商店下载", width = 15)
    @ApiModelProperty(value = "组-优先从系统应用商店下载")
    private Integer useAppMarket;
    /**
     * 组-应用商店列表
     */
    @Excel(name = "组-应用商店列表", width = 15)
    @ApiModelProperty(value = "组-应用商店列表")
    private String appStore;
    /**
     * 组-调起应用链接
     */
    @Excel(name = "组-调起应用链接", width = 15)
    @ApiModelProperty(value = "组-调起应用链接")
    private String schemaUri;
    /**
     * 组-优化目标 2：行为数，180：激活数；53：表单数；190: 付费；191：首日ROI；324：唤起应用...
     */
    @Excel(name = "组-优化目标 2：行为数，180：激活数；53：表单数；190: 付费；191：首日ROI；324：唤起应用...", width = 15)
    @ApiModelProperty(value = "组-优化目标 2：行为数，180：激活数；53：表单数；190: 付费；191：首日ROI；324：唤起应用...")
    private Integer ocpxActionType;
    /**
     * 组-转化目标ID
     */
    @Excel(name = "组-转化目标ID", width = 15)
    @ApiModelProperty(value = "组-转化目标ID")
    private Integer convertId;
    /**
     * 组-优化目标出价类型
     */
    @Excel(name = "组-优化目标出价类型", width = 15)
    @ApiModelProperty(value = "组-优化目标出价类型")
    private Integer bidType;
    /**
     * 出价
     */
    @Excel(name = "出价", width = 15)
    @ApiModelProperty(value = "出价")
    private String bid;
    /**
     * OCPC出价
     */
    @Excel(name = "OCPC出价", width = 15)
    @ApiModelProperty(value = "OCPC出价")
    private String cpaBid;
    /**
     * 组-深度转化出价
     */
    @Excel(name = "组-深度转化出价", width = 15)
    @ApiModelProperty(value = "组-深度转化出价")
    private String deepConversionBid;
    /**
     * 组-深度转化目标
     */
    @Excel(name = "组-深度转化目标", width = 15)
    @ApiModelProperty(value = "组-深度转化目标")
    private Long deepConversionType;
    /**
     * 组-优先低成本出价
     */
    @Excel(name = "组-优先低成本出价", width = 15)
    @ApiModelProperty(value = "组-优先低成本出价")
    private Long smartBid;
    /**
     * 组-付费ROI系数
     */
    @Excel(name = "组-付费ROI系数", width = 15)
    @ApiModelProperty(value = "组-付费ROI系数")
    private Float roiRatio;
    /**
     * 组-投放开始时间
     */
    @Excel(name = "组-投放开始时间", width = 15)
    @ApiModelProperty(value = "组-投放开始时间")
    private String beginTime;
    /**
     * 组-投放结束时间
     */
    @Excel(name = "组-投放结束时间", width = 15)
    @ApiModelProperty(value = "组-投放结束时间")
    private String endTime;
    /**
     * 组-投放时间段
     */
    @Excel(name = "组-投放时间段", width = 15)
    @ApiModelProperty(value = "组-投放时间段")
    private String scheduleTime;
    /**
     * url类型 当计划类型为：3（获取电商下单）时必填：1 - 淘宝商品短链；2 - 淘宝商品itemID；4 - 金牛电商
     */
    @Excel(name = "url类型 当计划类型为：3（获取电商下单）时必填：1 - 淘宝商品短链；2 - 淘宝商品itemID；4 - 金牛电商", width = 15)
    @ApiModelProperty(value = "url类型 当计划类型为：3（获取电商下单）时必填：1 - 淘宝商品短链；2 - 淘宝商品itemID；4 - 金牛电商")
    private Integer urlType;
    /**
     * 当计划类型为5（收集销售线索）&使用建站时必填：需使用魔力建站；不传默认1，2：落地页
     */
    @Excel(name = "当计划类型为5（收集销售线索）&使用建站时必填：需使用魔力建站；不传默认1，2：落地页", width = 15)
    @ApiModelProperty(value = "当计划类型为5（收集销售线索）&使用建站时必填：需使用魔力建站；不传默认1，2：落地页")
    private Integer webUriType;
    /**
     * 投放链接
     */
    @Excel(name = "投放链接", width = 15)
    @ApiModelProperty(value = "投放链接")
    private String url;
    /**
     * 组-创意展现方式 1-轮播  2-优选
     */
    @Excel(name = "组-创意展现方式 1-轮播  2-优选", width = 15)
    @ApiModelProperty(value = "组-创意展现方式 1-轮播  2-优选")
    private Integer showMode;
    /**
     * 组-投放方式 1-加速投放  2-平滑投放 3-优先低成本
     */
    @Excel(name = "组-投放方式 1-加速投放  2-平滑投放 3-优先低成本", width = 15)
    @ApiModelProperty(value = "组-投放方式 1-加速投放  2-平滑投放 3-优先低成本")
    private Integer speed;
    /**
     * 创意制作方式，0-不限，4-自定义,7-程序化创意2.0
     */
    @Excel(name = " 创意制作方式，0-不限，4-自定义,7-程序化创意2.0", width = 15)
    @ApiModelProperty(value = " 创意制作方式，0-不限，4-自定义,7-程序化创意2.0")
    private Integer unitType;
    /**
     * 广告位；1：优选，3：视频播放页，5：联盟，6：上下滑
     */
    @Excel(name = "广告位；1：优选，3：视频播放页，5：联盟，6：上下滑", width = 15)
    @ApiModelProperty(value = "广告位；1：优选，3：视频播放页，5：联盟，6：上下滑")
    private String sceneId;
    /**
     * 关联封面数
     */
    @Excel(name = "关联封面数", width = 15)
    @ApiModelProperty(value = "关联封面数")
    private Integer imageCnt;
    /**
     * 自定义组数，最多400
     */
    @Excel(name = "自定义组数，最多400", width = 15)
    @ApiModelProperty(value = "自定义组数，最多400")
    private Integer customUnitCnt;
    /**
     * 程序化组数，最多60
     */
    @Excel(name = "程序化组数，最多60", width = 15)
    @ApiModelProperty(value = "程序化组数，最多60")
    private Integer programUnitCnt;
    /**
     * 素材类型 2-不限，0-内部，1-素造
     */
    @Excel(name = "素材类型 2-不限，0-内部，1-素造", width = 15)
    @ApiModelProperty(value = "素材类型 2-不限，0-内部，1-素造")
    private Integer channelType;
    /**
     * 智能抽帧
     */
    @Excel(name = "智能抽帧", width = 15)
    @ApiModelProperty(value = "智能抽帧")
    private Integer smartCover;
    /**
     * 行动号召
     */
    @Excel(name = "行动号召", width = 15)
    @ApiModelProperty(value = "行动号召")
    private String actionBarText;
    /**
     * 广告语
     */
    @Excel(name = "广告语", width = 15)
    @ApiModelProperty(value = "广告语")
    private String description;

    private String stickerTitle;

    private String overlayType;

    private String exposeTag;

    private String newExposeTag;
    /**
     * 创意分类
     */
    @Excel(name = "创意分类", width = 15)
    @ApiModelProperty(value = "创意分类")
    private Integer creativeCategory;
    //安卓下载中间页ID
    private Integer siteId;
    /**
     * 创意标签
     */
    @Excel(name = "创意标签", width = 15)
    @ApiModelProperty(value = "创意标签")
    private String creativeTag;
    /**
     * 创意-第三方点击检测链接
     */
    @Excel(name = "创意-第三方点击检测链接", width = 15)
    @ApiModelProperty(value = "创意-第三方点击检测链接")
    private String clickTrackUrl;
    /**
     * 创意-第三方开始播放监测链接
     */
    @Excel(name = "创意-第三方开始播放监测链接", width = 15)
    @ApiModelProperty(value = "创意-第三方开始播放监测链接")
    private String impressionUrl;
    /**
     * 创意-第三方有效播放监测链接
     */
    @Excel(name = "创意-第三方有效播放监测链接", width = 15)
    @ApiModelProperty(value = "创意-第三方有效播放监测链接")
    private String adPhotoPlayedT3sUrl;
    /**
     * 创意-第三方点击按钮监测链接
     */
    @Excel(name = "创意-第三方点击按钮监测链接", width = 15)
    @ApiModelProperty(value = "创意-第三方点击按钮监测链接")
    private String actionbarClickUrl;
    /**
     * 素材来源 1-上限素材，2-高质量素材，3-遗漏素材，4-历史打捞
     */
    @Excel(name = "素材来源 1-上限素材，2-高质量素材，3-遗漏素材，4-历史打捞", width = 15)
    @ApiModelProperty(value = "素材来源 1-上限素材，2-高质量素材，3-遗漏素材，4-历史打捞")
    private String sourceMaterial;
    /**
     * 定时执行生效时间
     */
    @ApiModelProperty(value = "定时执行生效时间")
    private Date effectiveTime;
    /**
     * 定时执行失效时间
     */
    @ApiModelProperty(value = "定时执行失效时间")
    private Date expiryTime;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;

    @TableField(exist = false)
    private Long accountId;

    @TableField(exist = false)
    private String strategyUuid;
    @TableField(exist = false)
    private Long campaignId;
    @TableField(exist = false)
    private String projectName;

}
