package cn.com.ctop.kuaishou.modules.batch.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 快手电商-供应链订单信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2022-12-01
 */
@Data
@TableName("kuaishou_supply_chain")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "kuaishou_supply_chain对象", description = "快手电商-供应链订单信息")
public class KuaishouSupplyChain {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 订单ID
     */
    @Excel(name = "订单ID", width = 15)
    @ApiModelProperty(value = "订单ID")
    private Long oid;
    /**
     * 商品ID
     */
    @Excel(name = "商品ID", width = 15)
    @ApiModelProperty(value = "商品ID")
    private Long itemId;
    /**
     * 商品标题
     */
    @Excel(name = "商品标题", width = 15)
    @ApiModelProperty(value = "商品标题")
    private String itemTitle;
    /**
     * 商品单价
     */
    @Excel(name = "商品单价", width = 15)
    @ApiModelProperty(value = "商品单价")
    private Long reservePrice;
    /**
     * 商品图片
     */
    @Excel(name = "商品图片", width = 15)
    @ApiModelProperty(value = "商品图片")
    private String imageUrl;
    /**
     * 订单状态
     */
    @Excel(name = "订单状态", width = 15)
    @ApiModelProperty(value = "订单状态")
    private Integer orderStatus;
    /**
     * 订单创建时间
     */
    @Excel(name = "订单创建时间", width = 15)
    @ApiModelProperty(value = "订单创建时间")
    private Long orderCreateTime;
    /**
     * 是否发货
     */
    @Excel(name = "是否发货", width = 15)
    @ApiModelProperty(value = "是否发货")
    private Integer sendStatus;
    /**
     * 订单类型
     */
    @Excel(name = "订单类型", width = 15)
    @ApiModelProperty(value = "订单类型")
    private Integer settlementBizType;
    /**
     * 订单类型翻译
     */
    @Excel(name = "订单类型翻译", width = 15)
    @ApiModelProperty(value = "订单类型翻译")
    private String settlementBizTypeDesc;
    /**
     * 发货时间
     */
    @Excel(name = "发货时间", width = 15)
    @ApiModelProperty(value = "发货时间")
    private Long sendTime;
    /**
     * 收获时间
     */
    @Excel(name = "收获时间", width = 15)
    @ApiModelProperty(value = "收获时间")
    private Long recvTime;
    /**
     * 商家id
     */
    @Excel(name = "商家id", width = 15)
    @ApiModelProperty(value = "商家id")
    private Long sellerId;
    /**
     * 达人id
     */
    @Excel(name = "达人id", width = 15)
    @ApiModelProperty(value = "达人id")
    private Long promoterId;
    /**
     * 达人昵称
     */
    @Excel(name = "达人昵称", width = 15)
    @ApiModelProperty(value = "达人昵称")
    private String promoterNickName;
    /**
     * 活动id
     */
    @Excel(name = "活动id", width = 15)
    @ApiModelProperty(value = "活动id")
    private Long activityId;
    /**
     * 订单金额
     */
    @Excel(name = "订单金额", width = 15)
    @ApiModelProperty(value = "订单金额")
    private Long orderAmount;
    /**
     * 付款金额
     */
    @Excel(name = "付款金额", width = 15)
    @ApiModelProperty(value = "付款金额")
    private Long payAmount;
    /**
     * 服务费率
     */
    @Excel(name = "服务费率", width = 15)
    @ApiModelProperty(value = "服务费率")
    private Long regimentalPromotionRate;
    /**
     * 分成比例
     */
    @Excel(name = "分成比例", width = 15)
    @ApiModelProperty(value = "分成比例")
    private Long shareRate;
    /**
     * 货款基数
     */
    @Excel(name = "货款基数", width = 15)
    @ApiModelProperty(value = "货款基数")
    private Long baseAmount;
    /**
     * 技术服务费
     */
    @Excel(name = "技术服务费", width = 15)
    @ApiModelProperty(value = "技术服务费")
    private Long serviceAmount;
    /**
     * 预估服务费收入
     */
    @Excel(name = "预估服务费收入", width = 15)
    @ApiModelProperty(value = "预估服务费收入")
    private Long regimentalPromotionAmount;
    /**
     * 结算服务费收入
     */
    @Excel(name = "结算服务费收入", width = 15)
    @ApiModelProperty(value = "结算服务费收入")
    private Long totalRegimentalSettleAmount;
    private String statDate;
    private Integer statHour;
    private Long itemCommissionRate;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
