package cn.com.ctop.kuaishou.modules.dimension.entity;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 多维度测试策略表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-07-19
 */
@Data
@TableName("ctop_kuaishou_dimension_strategy")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_dimension_strategy对象", description = "多维度测试策略表")
public class KuaiShouDimensionStrategy {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 策略状态
     */
    @Excel(name = "策略状态", width = 15)
    @ApiModelProperty(value = "策略状态")
    private Integer strategyStatus;
    /**
     * 计划类型
     */
    @Excel(name = "计划类型", width = 15)
    @ApiModelProperty(value = "计划类型")
    private Integer campaignType;
    /**
     * 计划命名
     */
    @Excel(name = "计划命名", width = 15)
    @ApiModelProperty(value = "计划命名")
    private String campaignName;
    /**
     * 计划预算
     */
    @Excel(name = "计划预算", width = 15)
    @ApiModelProperty(value = "计划预算")
    private Long campaignDayBudget;
    /**
     * 组命名
     */
    @Excel(name = "组命名", width = 15)
    @ApiModelProperty(value = "组命名")
    private String unitName;
    /**
     * 组预算
     */
    @Excel(name = "组预算", width = 15)
    @ApiModelProperty(value = "组预算")
    private Long unitDayBudget;

    private Integer useAppMarket;
    private String appStore;
    private Integer unitType;
    private Integer showMode;
    private Integer speed;

    /**
     * 网络环境 1：Wi-Fi，2：移动网络，0：表示不限
     */
    @Excel(name = "网络环境 1：Wi-Fi，2：移动网络，0：表示不限", width = 15)
    @ApiModelProperty(value = "网络环境 1：Wi-Fi，2：移动网络，0：表示不限")
    private Integer network;
    /**
     * 网红粉丝
     */
    @Excel(name = "网红粉丝", width = 15)
    @ApiModelProperty(value = "网红粉丝")
    private String fansStar;
    /**
     * 过滤已转化人群纬度 0(默认)：不限；1：广告组2：广告计划；3：本账户；4：公司主体；5：APP
     */
    @Excel(name = "过滤已转化人群纬度 0(默认)：不限；1：广告组2：广告计划；3：本账户；4：公司主体；5：APP", width = 15)
    @ApiModelProperty(value = "过滤已转化人群纬度 0(默认)：不限；1：广告组2：广告计划；3：本账户；4：公司主体；5：APP")
    private Integer filterConvertedLevel;
    /**
     * 设备品牌 1：OPPO，2：VIVO，3：华为，4：小米，5：荣耀，6：三星，7：金立，8：魅族，9：乐视10：其他，11：苹果
     */
    @Excel(name = "设备品牌 1：OPPO，2：VIVO，3：华为，4：小米，5：荣耀，6：三星，7：金立，8：魅族，9：乐视10：其他，11：苹果", width = 15)
    @ApiModelProperty(value = "设备品牌 1：OPPO，2：VIVO，3：华为，4：小米，5：荣耀，6：三星，7：金立，8：魅族，9：乐视10：其他，11：苹果")
    private String deviceBrand;
    /**
     * 设备价格 1：1500元以下，2：1501~2000，3：2001~2500，4：2501~3000，5：3001~3500，6：3501~4000，7：4001~4500，8：4501~5000，9： 5001~5500，10：5500元以上
     */
    @Excel(name = "设备价格 1：1500元以下，2：1501~2000，3：2001~2500，4：2501~3000，5：3001~3500，6：3501~4000，7：4001~4500，8：4501~5000，9： 5001~5500，10：5500元以上", width = 15)
    @ApiModelProperty(value = "设备价格 1：1500元以下，2：1501~2000，3：2001~2500，4：2501~3000，5：3001~3500，6：3501~4000，7：4001~4500，8：4501~5000，9： 5001~5500，10：5500元以上")
    private String devicePrice;

    /**
     * 优化目标出价类型  1: CPM 2: CPC 10:OCPM
     */
    @Excel(name = "优化目标出价类型  1: CPM 2: CPC 10:OCPM", width = 15)
    @ApiModelProperty(value = "优化目标出价类型  1: CPM 2: CPC 10:OCPM")
    private Integer bidType;
    /**
     * 转化目标
     */
    @Excel(name = "转化目标", width = 15)
    @ApiModelProperty(value = "转化目标")
    private Integer ocpxActionType;
    /**
     * 深度转化目标
     */
    @Excel(name = "深度转化目标", width = 15)
    @ApiModelProperty(value = "深度转化目标")
    private Integer deepConversionType;
    /**
     * 出价
     */
    @Excel(name = "出价", width = 15)
    @ApiModelProperty(value = "出价")
    private Long bid;
    /**
     * ocpm出价
     */
    @Excel(name = "ocpm出价", width = 15)
    @ApiModelProperty(value = "ocpm出价")
    private String cpaBid;
    /**
     * 深度转化目标出价
     */
    @Excel(name = "深度转化目标出价", width = 15)
    @ApiModelProperty(value = "深度转化目标出价")
    private Long deepConversionBid;
    /**
     * 资源位置
     */
    @Excel(name = "资源位置", width = 15)
    @ApiModelProperty(value = "资源位置")
    private String sceneId;
    /**
     * 行动号召按钮
     */
    @Excel(name = "行动号召按钮", width = 15)
    @ApiModelProperty(value = "行动号召按钮")
    private String actionBarText;
    /**
     * 广告语
     */
    @Excel(name = "广告语", width = 15)
    @ApiModelProperty(value = "广告语")
    private String description;

    private Integer unitNum;
    private Integer materialNum;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
    /**
     * 策略名称
     */
    @Excel(name = "策略名称", width = 15)
    @ApiModelProperty(value = "策略名称")
    private String strategyName;
    private String userId;

    @TableField(exist = false)
    private JSONArray appInfoArray;
    @TableField(exist = false)
    private JSONArray creativeArray;
    @TableField(exist = false)
    private JSONArray crowdArray;
    @TableField(exist = false)
    private JSONObject reportData;
    @TableField(exist = false)
    private String startDate;
    @TableField(exist = false)
    private String endDate;


}
