package cn.com.ctop.toutiao.modules.agent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Data
@TableName("ctop_account_transaction_details")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_account_transaction_details对象", description = "账户交易流水")
public class TransactionDetails {
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private String id;

    //广告主ID
    @ApiModelProperty(value = "advertiser_id")
    private String advertiser_id;

    //流水类型  RECHARGE:充值      TRANSFER:转账
    @ApiModelProperty(value = "transaction_type")
    private String transaction_type;

    //流水产生时间
    @ApiModelProperty(value = "data_time")
    private String data_time;

    //交易总金额(单位元)
    @ApiModelProperty(value = "amount")
    private BigDecimal amount;

    //现金总金额(单位元)
    @ApiModelProperty(value = "cash")
    private BigDecimal cash;

    //赠款总金额(单位元）
    @ApiModelProperty(value = "grant")
    private BigDecimal grant;

    //返货总金额(单位元)
    @ApiModelProperty(value = "return_goods")
    private BigDecimal return_goods;

    //交易流水号
    @ApiModelProperty(value = "transaction_seq")
    private String transaction_seq;

    //付款方，即广告主id
    @ApiModelProperty(value = "remitter")
    private String remitter;

    //收款方，即广告主id。
    @ApiModelProperty(value = "payee")
    private String payee;

    //返点
    @ApiModelProperty(value = "dealbase")
    private String dealbase;

    //数据创建时间
    @ApiModelProperty(value = "create_time")
    private String create_time;


}
